Package org.apache.commons.math3.fitting

# Class GaussianCurveFitter.ParameterGuesser

java.lang.Object
org.apache.commons.math3.fitting.GaussianCurveFitter.ParameterGuesser

Enclosing class:
  `GaussianCurveFitter`

public static class GaussianCurveFitter.ParameterGuesser extends Object
Guesses the parameters `norm`, `mean`, and `sigma` of a `Gaussian.Parametric` based on the specified observed points.

## Constructor Summary

Constructors
Constructor
Description
`ParameterGuesser(Collection<WeightedObservedPoint> observations)`
Constructs instance with the specified observed points.

## Method Summary

Modifier and Type
Method
Description
`double[]`
`guess()`
Gets an estimation of the parameters.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ParameterGuesser

public ParameterGuesser(Collection<WeightedObservedPoint> observations)
Constructs instance with the specified observed points.

Parameters:
  `observations` - Observed points from which to guess the parameters of the Gaussian.
Throws:
  `NullArgumentException` - if `observations` is `null`.
  `NumberIsTooSmallException` - if there are less than 3 observations.

## Method Details

### guess

public double[] guess()
Gets an estimation of the parameters.

Returns:
  the guessed parameters, in the following order:
  - Normalization factor
  - Mean
  - Standard deviation